Download it now!
Bug 30642 - [PATCH] Convert FASTBOOL to bool everywhere but binfilter
Summary: [PATCH] Convert FASTBOOL to bool everywhere but binfilter
Status: CLOSED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium trivial
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-10-06 00:07 UTC by Norbert Thiebaud
Modified: 2011-01-13 06:29 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
FASTBOOL to bool for base (7.18 KB, patch)
2010-10-06 00:08 UTC, Norbert Thiebaud
Details
FASTBOOL to bool for calc (7.58 KB, patch)
2010-10-06 00:09 UTC, Norbert Thiebaud
Details
FASTBOOL to bool for components (40.43 KB, patch)
2010-10-06 00:09 UTC, Norbert Thiebaud
Details
FASTBOOL to bool for impress (12.53 KB, patch)
2010-10-06 00:10 UTC, Norbert Thiebaud
Details
Do not use magic number for libs-core (1.58 KB, patch)
2010-10-06 00:11 UTC, Norbert Thiebaud
Details
FASTBOOL to bool for libs-core (377.96 KB, patch)
2010-10-06 00:11 UTC, Norbert Thiebaud
Details
FSATBOOL to bool for libs-gui (31.40 KB, patch)
2010-10-06 00:12 UTC, Norbert Thiebaud
Details
FASTBOOL to bool for writer (8.45 KB, patch)
2010-10-06 00:12 UTC, Norbert Thiebaud
Details
patch of patches in build for FASTBOOL to bool conversion (3.30 KB, patch)
2010-10-06 00:13 UTC, Norbert Thiebaud
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Norbert Thiebaud 2010-10-06 00:07:41 UTC
These patches remove FASTBOOL everywhere but in binfilter (binfilter
has more FASTBOOL use than the rest of the project combined)

All FASTBOOL are converted into bool, except a couple of API that are
left as int

I made 1 patch per git repo. (For Cedric confort :-) )
There are 2 patches for libs-core. of for straight FASTBOOL to bool
conversion, and one where I removed the use for the FASTBOOL
altogether while tweaking the code to avoid hard-coded array size
constant.

I have compiled them together and vtable-check diff comes back empty.
but It is very doubtful that a  partial apply will work.

the patch build_0001....
is a patch on the patches directory of the build git repo. this one
has NOT been tested.
Comment 1 Norbert Thiebaud 2010-10-06 00:08:46 UTC
Created attachment 39203 [details]
FASTBOOL to bool for base
Comment 2 Norbert Thiebaud 2010-10-06 00:09:28 UTC
Created attachment 39204 [details]
FASTBOOL to bool for calc
Comment 3 Norbert Thiebaud 2010-10-06 00:09:52 UTC
Created attachment 39205 [details]
FASTBOOL to bool for components
Comment 4 Norbert Thiebaud 2010-10-06 00:10:20 UTC
Created attachment 39206 [details]
FASTBOOL to bool for impress
Comment 5 Norbert Thiebaud 2010-10-06 00:11:12 UTC
Created attachment 39207 [details]
Do not use magic number for libs-core
Comment 6 Norbert Thiebaud 2010-10-06 00:11:45 UTC
Created attachment 39208 [details]
FASTBOOL to bool for libs-core
Comment 7 Norbert Thiebaud 2010-10-06 00:12:11 UTC
Created attachment 39209 [details]
FSATBOOL to bool for libs-gui
Comment 8 Norbert Thiebaud 2010-10-06 00:12:46 UTC
Created attachment 39210 [details]
FASTBOOL to bool for writer
Comment 9 Norbert Thiebaud 2010-10-06 00:13:39 UTC
Created attachment 39211 [details]
patch of patches in build for FASTBOOL to bool conversion
Comment 10 Michael Meeks 2010-10-08 06:33:35 UTC
committed - nice work ! thank :-)
Comment 11 sophie 2011-01-13 06:29:01 UTC
Closing - Sophie